> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/iota/iotax_querytransactionblocks-iota.md).

# iotax\_queryTransactionBlocks - IOTA

Example code for the iotax\_queryTransactionBlocks JSON-RPC method. Complete guide on how to use iotax\_queryTransactionBlocks JSON-RPC method in GetBlock Web3 documentation.

Queries transaction blocks matching a filter (by sender, recipient, input/changed object, Move function, or time range), paginated.

## Parameters

| Parameter         | Type    | Required | Description                         |
| ----------------- | ------- | -------- | ----------------------------------- |
| query             | object  | Yes      | {filter, options} transaction query |
| cursor            | string  | Optional | Paging cursor (transaction digest)  |
| limit             | integer | Optional | Max results                         |
| descending\_order | boolean | Optional | Newest first when true              |

## Request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "method": "iotax_queryTransactionBlocks",
    "params": [{"filter": {"FromAddress": "0xabc..."}, "options": {"showEffects": true}}, null, 20, true]
}'
```

{% endcode %}
{% endtab %}

{% tab title="Axios" %}
{% code title="example.js" %}

```javascript
const axios = require('axios');
const response = await axios.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', { jsonrpc: '2.0', id: 'getblock.io', method: 'iotax_queryTransactionBlocks', params: [{"filter": {"FromAddress": "0xabc..."}, "options": {"showEffects": true}}, null, 20, true] }, { headers: { 'Content-Type': 'application/json' } });
console.log(response.data.result);
```

{% endcode %}
{% endtab %}

{% tab title="Request" %}
{% code title="example.py" %}

```python
import requests
response = requests.post('https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/', headers={'Content-Type': 'application/json'}, json={'jsonrpc': '2.0', 'id': 'getblock.io', 'method': 'iotax_queryTransactionBlocks', 'params': [{"filter": {"FromAddress": "0xabc..."}, "options": {"showEffects": true}}, null, 20, true]})
print(response.json())
```

{% endcode %}
{% endtab %}

{% tab title="Rust" %}
{% code title="example.rs" %}

```rust
use reqwest::Client;
use serde_json::{json, Value};

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = Client::new();
    let res = client.post("https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/").json(&json!({"jsonrpc":"2.0","id":"getblock.io","method":"iotax_queryTransactionBlocks","params":[{"filter": {"FromAddress": "0xabc..."}, "options": {"showEffects": true}}, null, 20, true]})).send().await?.json::<Value>().await?;
    println!("{}", res["result"]);
    Ok(())
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Response

```json
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": {
        "data": [
            {
                "digest": "AdE...",
                "effects": {
                    "status": {
                        "status": "success"
                    }
                }
            }
        ],
        "nextCursor": "AdE...",
        "hasNextPage": true
    }
}
```

## Response Parameters

| Field             | Type   | Description                        |
| ----------------- | ------ | ---------------------------------- |
| jsonrpc           | string | JSON-RPC version ("2.0")           |
| id                | string | Request identifier ("getblock.io") |
| result.data       | array  | Matching transaction blocks        |
| result.nextCursor | string | Cursor for the next page           |

## Use Cases

* **Account History**: List a wallet's transactions
* **Analytics**: Query transactions by Move function

## Error Handling

| Error                     | Message          | Description                                       |
| ------------------------- | ---------------- | ------------------------------------------------- |
| -32602                    | Invalid params   | A parameter was missing or malformed              |
| -32601                    | Method not found | The method name is misspelled or not served       |
| 403 / RBAC: access denied | Access denied    | The GetBlock access token is missing or incorrect |
